#include <stdio.h>
#include <stdlib.h>

int main()
{
	int c, i, j;
	int occurrences[128]; /* number of standard ASCII characters */

	/* initialize occurrences vector */
	for(i = 0; i < 128; i++)
		occurrences[i] = 0;

	while( (c = getchar()) != EOF)
		occurrences[c]++;

	/* print the result */
	putchar('\n'); /* to separate the first line of the result from the text previously typed */
	for(i = 0; i < 128; i++)
	{
		if(occurrences[i] > 0)
		{
			/* print ASCII code and character */
			if(i != '\n')
				printf("[%d]\t'%c': ", i, i);
			else
				printf("[%d] 'newl': ", i);
			j = 0; /* initialize j */
			while(j++ < occurrences[i])
				putchar('*');
			putchar('\n');
		}
	}

}

