#include <stdio.h>
#include <stdlib.h>

#define MAXLEN 1024

int main()
{
	int numparole = 0;
	int n;
	char s[MAXLEN];
	int i;

	printf("Inserisci la stringa: ");
	/* stdin e' definito in stdio.h e significa standard input.
	 * Dice alla fgets() di prendere la stringa dallo standard input.
	 * (E' predisposta anche per leggere da file).
	 */
	fgets(s, MAXLEN, stdin); /* meglio di gets(s) */

	printf("Inserisci ogni quante parole vuoi andare a capo: ");
	scanf("%d", &n);

	/* consideriamo due parole distinte se separate da spazi o tabulazione ('\t').
	 * Per semplicita', supponiamo che non venga immesso piu' di uno spazio o tab
	 * consecutivamente.
	 */
	for(i = 0; s[i] != '\0'; i++)
	{
		if(s[i] == ' ' || s[i] == '\t') /* trovato spazio o tabulazione */
			numparole++;
		if(numparole > 0 && numparole % n == 0)
		{
			s[i] = '\n';
			numparole = 0;
		}
	}

	printf("%s\n", s);

}

