#include <stdio.h>
#include <stdlib.h>

#define MAXLEN 32

int main()
{
	int i;
	unsigned int len; /* char is represented on a byte: enough for an integer <= 32 */
	float v[MAXLEN];
	float min, max, mean;
	
	printf("Inserisci il numero di elementi desiderato: ");
	scanf("%u", &len);

	/* check for input len */
	if(len > 32 || !len )
	{
		printf("Errore: la lunghezza del vettore deve essere al massimo 32, non %d.\n", len);
		return EXIT_FAILURE; /* notify the caller that an error happened */
	}

	for(i = 0; i < len; i++)
	{
		printf("inserisci l'elemento %d: ", i);
		scanf("%f", &v[i]);
	}

	/* vector has been initialized with the desired values */
	min = v[0];
	max = v[0];
	mean = 0;

	for(i = 0; i < len; i++)
	{
		if(v[i] > max)
			max = v[i];
		if(v[i] < min)
			min = v[i];
		mean += v[i];
	}
	mean = mean / len;

	printf("Dati i valori { ");
	for(i = 0; i < len; i++)
		printf("%.3f, ", v[i]);
	printf("\b\b }\n");

	printf("Minimo: %.3f, massimo: %.3f, media: %.3f\n", min, max, mean);
}

