#include <stdio.h>
#include <stdlib.h>

#include <math.h> /* for pow() */

/** Il C non specifica l'ordine in cui vengono valutati gli
 * operandi di un particolare operatore, a parte &&, ||, ?: e
 * la virgola.
 * Ad esempio
 * x = f() + g()
 * f potrebbe essere valutata prima di g, o viceversa. Se f o g
 * alterano il valore di una variabile utilizzata dalla quale 
 * l'altra funzione dipende, allora il risultato dipende dall'ordine
 * di valutazione.
 */

int main()
{
	int n = 0;
	int v[10] = { 1, 2, 3 };
	printf("%d %f\n", ++n, pow(2, n));
	/* n ora vale 1 */

	++n; /* ora vale 2 */
	printf("%d %f\n", n, pow(2, n)); /* ok! */

	v[n] = n++; 

	for(n = 0; n < 10; n++)
		printf("v[%d]: %d, ", n, v[n]);
	printf("\n\n");
}

